Skip to content

Retrieve an onboard individual entity job

Request

Retrieves details about a specific onboard individual entity job.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
entitystringrequired

The entity id.

onboardIndividualEntityJobstringrequired

The onboardIndividualEntityJob id.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/onboardIndividualEntityJobs/{onboardIndividualEntityJob}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: entities/-/onboardIndividualEntityJobs/{onboard_individual_entity_job} string.resource_name = ["entities/-/onboardIndividualEntityJobs/*"] // value must be a valid resource name

formDefinitionstring(form_definition)required

Required. The resource name of the form definition to use for data collection. Format: formDefinitions/{form_definition} string.resource_name = ["formDefinitions/*"] // value must be a valid resource name

jsonataExpressionstring, (byte), non-empty(jsonata_expression)required

Required. JSONata expression to transform form response into IndividualEntity. This must be base64-encoded when sent in JSON requests.

webhookUristring, (uri), <= 2048 characters(webhook_uri)required

Required. HTTPS webhook target URI for notifications. string.prefix = "https://"

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the job was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the job was most recently updated.

enrichEntityboolean(enrich_entity)

(OPTIONAL) Optional. If true, entity will be enriched by verification response.

Response
{ "name": "entities/-/onboardIndividualEntityJobs/mfs-onboard-job-2024-0127-kycind-743891", "formDefinition": "formDefinitions/mfs-individual-kyc-form-v2-1", "jsonataExpression": "{\n \"legal_name\": {\n \"given_name\": $$.form_data.personal_info.first_name,\n \"family_name\": $$.form_data.personal_info.last_name\n },\n \"date_of_birth\": $$.form_data.personal_info.dob,\n \"addresses\": [{\n \"type\": \"RESIDENTIAL\",\n \"street_address\": $$.form_data.address.street,\n \"city\": $$.form_data.address.city,\n \"postal_code\": $$.form_data.address.zip\n }],\n \"tax_identification\": {\n \"tax_id_number\": $$.form_data.tax_info.ssn,\n \"tax_id_type\": \"US_SSN\"\n }\n}", "webhookUri": "https://api.example.com/webhooks/onboarding/individual/entity-job-status", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "enrichEntity": true }